Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dorml2

    java.lang.Object
      org.netlib.lapack.Dorml2

    public class Dorml2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DORML2 overwrites the general real m by n matrix C with
     *
     *        Q * C  if SIDE = 'L' and TRANS = 'N', or
     *
     *        Q'* C  if SIDE = 'L' and TRANS = 'T', or
     *
     *        C * Q  if SIDE = 'R' and TRANS = 'N', or
     *
     *        C * Q' if SIDE = 'R' and TRANS = 'T',
     *
     *  where Q is a real orthogonal matrix defined as the product of k
     *  elementary reflectors
     *
     *        Q = H(k) . . . H(2) H(1)
     *
     *  as returned by DGELQF. Q is of order m if SIDE = 'L' and of order n
     *  if SIDE = 'R'.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': apply Q or Q' from the Left
     *          = 'R': apply Q or Q' from the Right
     *
     *  TRANS   (input) CHARACTER*1
     *          = 'N': apply Q  (No transpose)
     *          = 'T': apply Q' (Transpose)
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C. N >= 0.
     *
     *  K       (input) INTEGER
     *          The number of elementary reflectors whose product defines
     *          the matrix Q.
     *          If SIDE = 'L', M >= K >= 0;
     *          if SIDE = 'R', N >= K >= 0.
     *
     *  A       (input) DOUBLE PRECISION array, dimension
     *                               (LDA,M) if SIDE = 'L',
     *                               (LDA,N) if SIDE = 'R'
     *          The i-th row must contain the vector which defines the
     *          elementary reflector H(i), for i = 1,2,...,k, as returned by

     *          DGELQF in the first k rows of its array argument A.
     *          A is modified by the routine but restored on exit.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,K).
     *
     *  TAU     (input) DOUBLE PRECISION array, dimension (K)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by DGELQF.
     *
     *  C       (input/output) DOUBLE PRECISION array, dimension (LDC,N)
     *          On entry, the m by n matrix C.
     *          On exit, C is overwritten by Q*C or Q'*C or C*Q' or C*Q.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the array C. LDC >= max(1,M).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension
     *                                   (N) if SIDE = 'L',
     *                                   (M) if SIDE = 'R'
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dorml2()`

Method Summary
`static void` | `dorml2(java.lang.String side, java.lang.String trans, int m, int n, int k, double[] a, int _a_offset, int lda, double[] tau, int _tau_offset, double[] c, int _c_offset, int Ldc, double[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dorml2

    public Dorml2()

Method Detail

### dorml2

    public static void dorml2(java.lang.String side,
                              java.lang.String trans,
                              int m,
                              int n,
                              int k,
                              double[] a,
                              int _a_offset,
                              int lda,
                              double[] tau,
                              int _tau_offset,
                              double[] c,
                              int _c_offset,
                              int Ldc,
                              double[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD